# eric4.E4Gui.E4IconProvider

Module implementing an icon provider for QFileDialog.

### Classes

E4IconProvider | Class providing icons to KQFileDialog.

### Functions

None

## E4IconProvider

Class providing icons to KQFileDialog.

The icons provided are for Python (*.py, *.pyw, *.pyx, *.ptl), Ruby (*.rb) Qt-Designer (*.ui), QT-Linguist (*.ts, *.qm), Qt-Resource (*.qrc), IDL (*.idl), graphics, eric3 keyboard shortcuts (*.e3k, *.e3kz), eric4 keyboard shortcuts (*.e4k, *.e4kz), eric3 project (*.e3p, *.e3pz) and eric4 project (*.e4p, *.e4pz) files.

### Derived from

QFileIconProvider

### Methods

E4IconProvider | Constructor
icon | Method to retrieve the icon for a file.

#### E4IconProvider (Constructor)

E4IconProvider()

Constructor

#### E4IconProvider.icon

icon(finfoOrType)

Method to retrieve the icon for a file.

finfoOrType
  file info object (QFileInfo) or icon type (QFileIconProvider.IconType)

Returns:
  icon for the file (QIcon)

Up